using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1.zadatak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N, L;
            bool tacno = false;
            do
            {
                N = int.Parse(Console.ReadLine());
                L = int.Parse(Console.ReadLine());

            } while ((N < 1 || N > 1000) || (L<1 || L>Math.Pow(10,9)));
            int[]niz = new int[N];
            for(int i = 0; i < N; i++)
            {
                do
                {
                    niz[i] = int.Parse(Console.ReadLine());

                } while (niz[i] < 1 || niz[i] > Math.Pow(10, 9));
            }
            for(int i = 0; i < N; i++)
            {
                if (niz[i] < L)
                {
                    Console.WriteLine(i + 1);
                    tacno = true;
                    break;
                }
                else if (niz[i] == L)
                {
                    Console.WriteLine(i + 1);
                    tacno = true;
                    break;
                }
               
            }
            if (tacno == false)
            {
                Console.WriteLine(-1);
            }
        }
    }
}